#include <maps/wikimap/mapspro/services/editor/src/objects/line_object.h>
#include <maps/wikimap/mapspro/services/editor/src/exception.h>
#include <maps/wikimap/mapspro/services/editor/src/configs/config.h>
#include <maps/wikimap/mapspro/services/editor/src/configs/categories.h>
#include <maps/wikimap/mapspro/services/editor/src/objectvisitor.h>

namespace maps {
namespace wiki {

LineObject::LineObject(const TRevisionId& id, ObjectsCache& cache)
    : GeoObject(id, cache)
{}

void
LineObject::applyVisitor(ObjectVisitor& visitor) const
{
    visitor.visitLineObject(this);
}

void
LineObject::applyProcessor(ObjectProcessor& processor)
{
    processor.processLineObject(this);
}

} // namespace wiki
} // namespace maps
